# class Sass::Rails::CacheStore

### Attributes

environment[R]

### Public Class Methods

new(environment) click to toggle source

    # File lib/sass/rails/cache_store.rb, line 8
    def initialize(environment)
      @environment = environment
    end

### Public Instance Methods

_retrieve(key, version, sha) click to toggle source

    # File lib/sass/rails/cache_store.rb, line 16
    def _retrieve(key, version, sha)
      if obj = environment.cache_get("sass/#{key}")
        return unless obj[:version] == version
        return unless obj[:sha] == sha
        obj[:contents]
      else
        nil
      end
    end

_store(key, version, sha, contents) click to toggle source

    # File lib/sass/rails/cache_store.rb, line 12
    def _store(key, version, sha, contents)
      environment.cache_set("sass/#{key}", {:version => version, :sha => sha, :contents => contents})
    end

path_to(key) click to toggle source

    # File lib/sass/rails/cache_store.rb, line 26
    def path_to(key)
      key
    end